---
page_source: https://juspay.io/in/docs/upi-plugin-sdk/cordova/backend-apis/mandate-notification-status-1
page_title: Mandate Notification Status
---

## API Version: default


# Notification Status API



Merchants can call notification status API to check whether a notification has been sent to a customer or not.## Endpoints:
- Sandbox: https://sandbox.juspay.in/notifications/{object_reference_id}

- Production: https://api.juspay.in/notifications/{object_reference_id}

## Request Type: 
GET

## Headers:

#### x-routing-id:
We recommend passing the customer_id as the x-routing-id. If the customer is checking out as a guest, you can pass an alternative ID that helps track the payment session lifecycle. For example, this could be an Order ID or Cart ID.

> **Warning**
> This ID is associated with the customer. It plays a key role in ensuring consistency and maintaining connections across different systems. If you fail to pass the same x-routing-id for the same customer in all related API calls, it could lead to issues with API functionality. Therefore, it’s crucial that you use the same x-routing-id for all requests tied to the same customer.


- Value: customer_1122
- Tags: String, Required
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl GET 'https://api.juspay.in/notifications/2QNPw8KSbpHL122bNPgA04' \
--header 'x-routing-id: customer_1122'

```

### Sample Response:

#### Response:
```json
{
  "status": "SUCCESS",
  "source_object": "MANDATE",
  "source_info": {
    "txn_date": "1634057114",
    "mandate.display_invoice_number": "INVN5Aqwx3rCu9e9ELfC",
    "amount": "1"
  },
  "provider_response": {
    "provider_ref_id": "IN0CA915121983",
    "provider_response_code": "00",
    "provider_response_message": "Your notification is successful"
  },
  "provider_name": "BILLDESK",
  "object_reference_id": "2QNPw8KSbpHL122bNPgA04",
  "object": "notification",
  "notification_type": "SMS",
  "mandate": {
    "mandate_id": "4rKxSj3bNXs7RQcdtajQza"
  },
  "last_updated": "1644073716",
  "id": "1957074",
  "description": "Notification for upcoming mandate",
  "date_created": "1644073716"
}
```

## Path Parameters:

#### object_reference_id:
Object reference Id
- Tags: String, Mandatory
## API Responses:
### 200:

#### status:
- Description: Status of Notification :CREATED/PENDING/SUCCESS/FAILURECREATED- Created and not yet initiated to gatewayPENDING- Initiated to gatewaySUCCESS- Success from gatewayFAILURE- Failed from gateway
- Tags: string

#### source_object:
- Description: Source object for notification. i.e. “Mandate”
- Tags: string

#### source_info:
- Description: Json block of source info provided in the request
- Value:
  - **Txn_date**:
    - Description: txn_date passed in the notification request.Format: UNIX EPOCH timestamp (UTC timezone).I.e. 1634057114
    - Tags: string
  - **Mandate.display_invoice_number**:
    - Description: The invoice display number passed during notification API
    - Tags: string
  - **Amount**:
    - Description: Amount passed in the requestI.e. 100.00
    - Tags: string
- Tags: object

#### provider_response:
- Description: Json block of response from gateway
- Value:
  - **Provider_ref_id**:
    - Description: Reference Number provided by downstream gateway
    - Tags: string
  - **Provider_response_code**:
    - Tags: String
  - **Provider_response_message**:
    - Tags: String
  - **Notification_date**:
    - Description: Date on which notification has been sent by downstream gateway.Format: UNIX EPOCH timestamp (UTC timezone).I.e. 1634057114Specific to PAYTM_V2
    - Tags: String
- Tags: object

#### provider_name:
- Description: Name of the provider. Gateway name in this caseI.e. PAYTM_V2
- Tags: string

#### object_reference_id:
- Description: Unique Identifier passed in the request.I.e. 1234578
- Tags: string

#### object:
- Description: notification
- Tags: string

#### notification_type:
- Description: Type of notification.I.e. “SMS”
- Tags: string

#### mandate:
- Description: Json block for Mandate ID provided in the request:
- Value:
  - **Mandate_id**:
    - Description: Mandate id provided in the Notification API
    - Tags: String
- Tags: object

#### last_updated:
- Description: Date-time of notification updated in UNIX EPOCH timestamp (UTC timezone) format
- Tags: string

#### id:
- Description: Unique identifier provided by Juspay
- Tags: string

#### description:
- Description: Reason for debit passed in the request
- Tags: string

#### date_created:
- Description: Date-time of notification created in UNIX EPOCH timestamp (UTC timezone) format
- Tags: string
### 400:

#### user_message:
- Description: Notification not found
- Tags: string

#### type:
- Description: INVALID_REQUST_ERROR
- Tags: string

#### session_id:
- Description: a054b2b1-1a79-4225-bebf-d2b9ba130a58
- Tags: string

#### message:
- Description: Notification not found
- Tags: string

#### code:
- Description: INVALID_REQUEST
- Tags: string
